Labs - List
Hämta information för ett specifikt labb som är associerat med det angivna faktureringskontots namn, faktureringsprofilens namn och fakturaavsnittets namn.
GET https://management.azure.com/providers/Microsoft.Billing/billingAccounts/{billingAccountName}/billingProfiles/{billingProfileName}/invoiceSections/{invoiceSectionName}/providers/Microsoft.Education/labs?api-version=2021-12-01-preview
GET https://management.azure.com/providers/Microsoft.Billing/billingAccounts/{billingAccountName}/billingProfiles/{billingProfileName}/invoiceSections/{invoiceSectionName}/providers/Microsoft.Education/labs?includeBudget={includeBudget}&api-version=2021-12-01-preview
URI-parametrar
| Name | I | Obligatorisk | Typ | Description |
|---|---|---|---|---|
|
billing
|
path | True |
string |
Det ID som unikt identifierar ett faktureringskonto. |
|
billing
|
path | True |
string |
Det ID som unikt identifierar en faktureringsprofil. |
|
invoice
|
path | True |
string |
Det ID som unikt identifierar ett fakturaavsnitt. |
|
api-version
|
query | True |
string |
Version av API:et som ska användas med klientbegäran. Aktuell version är 2021-12-01-preview |
|
include
|
query |
boolean |
Kan användas för att inkludera budgetinformation. |
Svar
| Name | Typ | Description |
|---|---|---|
| 200 OK |
Labbinformation. |
|
| Other Status Codes |
Beskriver felet om åtgärden inte lyckas. |
Säkerhet
azure_auth
Azure Active Directory OAuth2-flöde.
Typ:
oauth2
Flow:
implicit
Auktoriseringswebbadress:
https://login.microsoftonline.com/common/oauth2/authorize
Omfattningar
| Name | Description |
|---|---|
| user_impersonation | personifiera ditt användarkonto |
Exempel
|
Lab |
|
Lab |
LabListWithInvoiceSectionName
Exempelbegäran
GET https://management.azure.com/providers/Microsoft.Billing/billingAccounts/{billingAccountName}/billingProfiles/{billingProfileName}/invoiceSections/{invoiceSectionName}/providers/Microsoft.Education/labs?includeBudget=True&api-version=2021-12-01-preview
Exempelsvar
{
"value": [
{
"id": "/providers/Microsoft.Billing/billingAccounts/{billingAccountName}/billingProfiles/{billingProfileName}/invoiceSections/{invoiceSectionName}/providers/Microsoft.Education/labs/default",
"name": "default",
"type": "Microsoft.Education/Labs",
"properties": {
"displayName": "example lab",
"budgetPerStudent": {
"currency": "USD",
"value": 100
},
"description": "example lab description",
"expirationDate": "2021-12-09T21:25:56.838Z",
"effectiveDate": "2021-11-09T21:25:56.838Z",
"status": "Active",
"totalBudget": {
"currency": "USD",
"value": 500
},
"totalAllocatedBudget": {
"currency": "USD",
"value": 500
}
}
}
]
}
LabListWithInvoiceSectionNameIncludeBudget
Exempelbegäran
GET https://management.azure.com/providers/Microsoft.Billing/billingAccounts/{billingAccountName}/billingProfiles/{billingProfileName}/invoiceSections/{invoiceSectionName}/providers/Microsoft.Education/labs?includeBudget=True&api-version=2021-12-01-preview
Exempelsvar
{
"value": [
{
"id": "/providers/Microsoft.Billing/billingAccounts/{billingAccountName}/billingProfiles/{billingProfileName}/invoiceSections/{invoiceSectionName}/providers/Microsoft.Education/labs/default",
"name": "default",
"type": "Microsoft.Education/Labs",
"properties": {
"displayName": "example lab",
"budgetPerStudent": {
"currency": "USD",
"value": 100
},
"description": "example lab description",
"expirationDate": "2021-12-09T21:25:56.838Z",
"effectiveDate": "2021-11-09T21:25:56.838Z",
"status": "Active",
"totalBudget": {
"currency": "USD",
"value": 500
},
"totalAllocatedBudget": {
"currency": "USD",
"value": 500
}
}
}
]
}
Definitioner
| Name | Description |
|---|---|
| Amount |
Beloppet. |
|
created |
Den typ av identitet som skapade resursen. |
|
Error |
Beskriver formatet för Felsvar. |
|
Error |
Felsvaret anger att tjänsten inte kan bearbeta den inkommande begäran. Orsaken anges i felmeddelandet. |
|
Lab |
Labbinformation. |
|
Lab |
Lista över labb. |
|
Lab |
Status för den här labbuppgiften |
|
system |
Metadata som rör skapande och senaste ändring av resursen. |
Amount
Beloppet.
| Name | Typ | Description |
|---|---|---|
| currency |
string |
Vilken typ av valuta som används för värdet. |
| value |
number |
Beloppsvärde. |
createdByType
Den typ av identitet som skapade resursen.
| Värde | Description |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
ErrorResponse
Beskriver formatet för Felsvar.
| Name | Typ | Description |
|---|---|---|
| code |
string |
Felkod |
| message |
string |
Felmeddelande som anger varför åtgärden misslyckades. |
ErrorResponseBody
Felsvaret anger att tjänsten inte kan bearbeta den inkommande begäran. Orsaken anges i felmeddelandet.
| Name | Typ | Description |
|---|---|---|
| error |
Information om felet. |
LabDetails
Labbinformation.
| Name | Typ | Description |
|---|---|---|
| id |
string |
Fullständigt kvalificerat resurs-ID för resursen. Ex – /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName} |
| name |
string |
Namnet på resursen |
| properties.budgetPerStudent |
Standardvärde för pengar för varje elev i det här labbet |
|
| properties.description |
string |
Detaljerad beskrivning av den här labbuppgiften |
| properties.displayName |
string |
Labbvisningsnamn |
| properties.effectiveDate |
string (date-time) |
Skapandedatum för labb |
| properties.expirationDate |
string (date-time) |
Standarddatum för förfallodatum för varje elev i det här labbet |
| properties.invitationCode |
string |
inbjudningskod för inlösbart labb |
| properties.maxStudentCount |
number |
det totala antalet studenter som kan tas emot i labbet. |
| properties.status |
Status för den här labbuppgiften |
|
| properties.totalAllocatedBudget.currency |
string |
Vilken typ av valuta som används för värdet. |
| properties.totalAllocatedBudget.value |
number |
Beloppsvärde. |
| properties.totalBudget.currency |
string |
Vilken typ av valuta som används för värdet. |
| properties.totalBudget.value |
number |
Beloppsvärde. |
| systemData |
Azure Resource Manager-metadata som innehåller createdBy och modifiedBy information. |
|
| type |
string |
Resurstypen. Till exempel "Microsoft.Compute/virtualMachines" eller "Microsoft.Storage/storageAccounts" |
LabListResult
Lista över labb.
| Name | Typ | Description |
|---|---|---|
| nextLink |
string |
Länken (url) till nästa resultatsida. |
| value |
Listan över labb. |
LabStatus
Status för den här labbuppgiften
| Värde | Description |
|---|---|
| Active | |
| Deleted | |
| Pending |
systemData
Metadata som rör skapande och senaste ändring av resursen.
| Name | Typ | Description |
|---|---|---|
| createdAt |
string (date-time) |
Tidsstämpeln för resursskapande (UTC). |
| createdBy |
string |
Identiteten som skapade resursen. |
| createdByType |
Den typ av identitet som skapade resursen. |
|
| lastModifiedAt |
string (date-time) |
Tidsstämpeln för resursens senaste ändring (UTC) |
| lastModifiedBy |
string |
Identiteten som senast ändrade resursen. |
| lastModifiedByType |
Den typ av identitet som senast ändrade resursen. |